Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.tuple.hadoop
Class BytesSerialization

    java.lang.Object
      org.apache.hadoop.conf.Configured
          cascading.tuple.hadoop.BytesSerialization

All Implemented Interfaces:
  Comparison<byte[]>, Configurable, Serialization<byte[]>

    public class BytesSerialization

extends Configured
implements Comparison<byte[]>, Serialization<byte[]>

Class BytesSerialization is an implementation of Hadoop's `Serialization` interface for use by `byte` arrays (`byte[]`).

To use, call
`TupleSerializationProps.addSerialization(properties, BytesSerialization.class.getName() );`

This class also implements `Comparison` so it is not required to set a `BytesComparator` when attempting to group on a byte array via GroupBy or CoGroup.

See Also:
  `TupleSerialization.addSerialization(java.util.Map, String)`, `BytesComparator`, `Comparison`

Nested Class Summary
`static class` | `BytesSerialization.RawBytesDeserializer`
`static class` | `BytesSerialization.RawBytesSerializer`

Constructor Summary
`BytesSerialization()`

Method Summary
`boolean` | `accept(Class<?> c)`
`Comparator<byte[]>` | `getComparator(Class<byte[]> type)`
`Deserializer<byte[]>` | `getDeserializer(Class<byte[]> c)`
`Serializer<byte[]>` | `getSerializer(Class<byte[]> c)`

Methods inherited from class org.apache.hadoop.conf.Configured
`getConf, setConf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BytesSerialization

    public BytesSerialization()

Method Detail

### accept

    public boolean accept(Class<?> c)

  Specified by:
    `accept` in interface `Serialization<byte[]>`

### getSerializer

    public Serializer<byte[]> getSerializer(Class<byte[]> c)

  Specified by:
    `getSerializer` in interface `Serialization<byte[]>`

### getDeserializer

    public Deserializer<byte[]> getDeserializer(Class<byte[]> c)

  Specified by:
    `getDeserializer` in interface `Serialization<byte[]>`

### getComparator

    public Comparator<byte[]> getComparator(Class<byte[]> type)

  Specified by:
    `getComparator` in interface `Comparison<byte[]>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.